%define name	ksensors
%define version	0.7.3
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE
License:	GPL
Source0:        http://ovh.dl.sourceforge.net/sourceforge/ksensors/%{name}-%{version}.tar.bz2
Source1:	%{name}-icon-48x48.png
#Patch0:	%{name}-applnk-comment.patch.bz2
Patch1:		ksensors-0.7.3-fix-path-to-hddtemp.patch.bz2
URL:		http://ksensors.sourceforge.net/
BuildRequires:	qt3-devel libz-devel XFree86-devel lm_sensors-devel kdelibs-devel
BuildRequires:	png-devel jpeg-devel libart_lgpl-devel
Requires:	lm_sensors
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	KDE frontend for lm_sensors


%description
KSensors is a nice frontend for lm-sensors, a set of tools for
monitoring the hardware health of Linux systems equipped with
certain hardware health monitoring hardware such as the LM78
or LM75, and HDDtemp, a tool for monitoring hard drive temperatures.
It also serves as a system resource monitor.

%prep
%setup -q
#%patch0 -p0
%patch1 -p1 -b .hddtemppath

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure2_5x	--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
#		--with-qt-dir=%{_prefix}/lib/qt3
#		--enable-final
#fails to build with this one

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -d $RPM_BUILD_ROOT/%{_menudir}
perl -pi -e "s|Name=ksensors|Name=Ksensors|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %{name} "System/Monitoring" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%update_icon_cache locolor
%endif

%postun
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%clean_icon_cache locolor
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS TODO README ChangeLog FAQ
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/apps/sounds/*.wav
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed Jul 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.3-4mdv2007.0
- XDG
- Use macros for icons 

* Fri May 20 2005 Sebastien Savarin <plouf@mandriva.org> 0.7.3-3mdk
- Fix menu-title-not-capitalized 
- Fix hardcoded qt path
 
* Fri May 20 2005 Sebastien Savarin <plouf@mandriva.org> 0.7.3-2mdk
- Rebuild and fix source url fix build on amd 64

* Wed Sep 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.3-1mdk
- 0.7.3 (seems to fix #10101 & #10102)
- update menu
- drop P0
- use %%configure2_5x macro
- fix path to hddtemp (ugly P1, fixes #10100)

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-10mdk
- Rebuild

* Fri Jan 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.2-9mdk
- rebuild for new lm_sensors
- fix buildrequires (lib64..)
- don't bzip2 icon in src.rpm

* Sun Aug 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.7.2-8mdk
- really rebuild with latest lm_sensors (i sux)

* Sun Aug 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.7.2-7mdk
- rebuild for new lm_sensors

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-6mdk
- rebuild

* Fri Jun 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-5mdk
- fix path to qt3 (lib64 issues..)
- pass compile flags to configure in stead of make

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-4mdk
- added missing buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-3mdk
- fix url (giuseppe)

* Sun Mar 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-2mdk
- Requires: lm_sensors

* Sat Mar 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.2-1mdk
- initial release
